<?php
$titlu='Sitemap știri';
require'f_sitemap.php';
echo sitemap($adresasite[0].'/stiri','Știri');
$categorii=$conn->query('SELECT`id`,`nume`FROM`stiri_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
if(ceil($y1/$pepagyna)>$z1)
{
$z1++;
echo sitemap($adresasite[0].'/stiri/pagina/'.$z1,'Știri - pagina '.$z1);
}
$y2=1;
$z2=1;
echo sitemap($adresasite[0].'/stiri/categorie/'.$categorie[0].'-'.seo($categorie[1]),'Știri, categoria '.htmlspecialchars($categorie[1]));
$stiri=$conn->query('SELECT`id`,`nume`FROM`stiri`WHERE`cid`="'.$categorie[0].'"ORDER BY`data`DESC');
while($stire=$stiri->fetch_row())
{
if(ceil($y2/$pepagyna)>$z2)
{
$z2++;
echo sitemap($adresasite[0].'/stiri/categorie/'.$categorie[0].'-'.seo($categorie[1]).'/pagina/'.$z2,'Știri, categoria '.htmlspecialchars($categorie[1]).' - pagina '.$z2);
}
echo sitemap($adresasite[0].'/stire/id/'.$stire[0].'-'.seo($stire[1]),'Știre '.htmlspecialchars($stire[1]));
$aprecieriile=$conn->query('SELECT COUNT(*)FROM`stiri_aprecieri`WHERE`pid`="'.$stire[0].'"&&`valoare`="1"')->fetch_row()[0];
if($aprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-stire/id/'.$stire[0].'-'.seo($stire[1]).'/tip/aprecieri','Aprecieri stire '.htmlspecialchars($stire[1]));
$numar_aprecieri=ceil($aprecieriile/$pepagyna);
for($aprecieri=1;$aprecieri<$numar_aprecieri;$aprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-stire/id/'.$stire[0].'-'.seo($stire[1]).'/tip/aprecieri/pagina/'.($aprecieri+1),'Aprecieri stire '.htmlspecialchars($stire[1]).' - pagina '.($aprecieri+1));
}
}
$dezaprecieriile=$conn->query('SELECT COUNT(*)FROM`stiri_aprecieri`WHERE`pid`="'.$stire[0].'"&&`valoare`="2"')->fetch_row()[0];
if($dezaprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-stire/id/'.$stire[0].'-'.seo($stire[1]).'/tip/dezaprecieri','Dezaprecieri stire '.htmlspecialchars($stire[1]));
$numar_dezaprecieri=ceil($dezaprecieriile/$pepagyna);
for($dezaprecieri=1;$dezaprecieri<$numar_dezaprecieri;$dezaprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-stire/id/'.$stire[0].'-'.seo($stire[1]).'/tip/dezaprecieri/pagina/'.($dezaprecieri+1),'Dezaprecieri stire '.htmlspecialchars($stire[1]).' - pagina '.($dezaprecieri+1));
}
}
$comentariile=$conn->query('SELECT COUNT(*)FROM`stiri_comentarii`WHERE`pid`="'.$stire[0].'"')->fetch_row()[0];
if($comentariile>0)
{
echo sitemap($adresasite[0].'/comentarii-stire/id/'.$stire[0].'-'.seo($stire[1]),'Comentarii stire '.htmlspecialchars($stire[1]));
$numar_comentarii=ceil($comentariile/$pepagyna);
for($comentarii=1;$comentarii<$numar_comentarii;$comentarii++)
{
echo sitemap($adresasite[0].'/comentarii-stire/id/'.$stire[0].'-'.seo($stire[1]).'/pagina/'.($comentarii+1),'Comentarii stire '.htmlspecialchars($stire[1]).' - pagina '.($comentarii+1));
}
}
$notele=$conn->query('SELECT COUNT(*)FROM`stiri_note`WHERE`pid`="'.$stire[0].'"')->fetch_row()[0];
if($notele>0)
{
echo sitemap($adresasite[0].'/note-stire/id/'.$stire[0].'-'.seo($stire[1]),'Note stire '.htmlspecialchars($stire[1]));
$numar_note=ceil($notele/$pepagyna);
for($note=1;$note<$numar_note;$note++)
{
echo sitemap($adresasite[0].'/note-stire/id/'.$stire[0].'-'.seo($stire[1]).'/pagina/'.($note+1),'Note stire '.htmlspecialchars($stire[1]).' - pagina '.($note+1));
}
}
$y2++;
}
$y1++;
}
echo$x2;
require'f_fun.php';